Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.impl
Class DefaultConversionAnnotationProcessor

    java.lang.Object
      com.opensymphony.xwork2.conversion.impl.DefaultConversionAnnotationProcessor

All Implemented Interfaces:
  ConversionAnnotationProcessor

    public class DefaultConversionAnnotationProcessor

extends Object
implements ConversionAnnotationProcessor

Default implementation of `ConversionAnnotationProcessor`

Constructor Summary
`DefaultConversionAnnotationProcessor()`

Method Summary
`void` | `process(Map<String,Object> mapping, TypeConversion tc, String key)` Process annotation and build `TypeConverter` base on provided annotation and assigning it under given key
`void` | `setTypeConverterCreator(TypeConverterCreator converterCreator)`
`void` | `setTypeConverterHolder(TypeConverterHolder converterHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConversionAnnotationProcessor

    public DefaultConversionAnnotationProcessor()

Method Detail

### setTypeConverterCreator

    public void setTypeConverterCreator(TypeConverterCreator converterCreator)

### setTypeConverterHolder

    public void setTypeConverterHolder(TypeConverterHolder converterHolder)

### process

    public void process(Map<String,Object> mapping,
                        TypeConversion tc,
                        String key)

  Description copied from interface: `ConversionAnnotationProcessor`
  Process annotation and build `TypeConverter` base on provided annotation and assigning it under given key

  Specified by:
    `process` in interface `ConversionAnnotationProcessor`
  Parameters:
    `mapping` - keeps converters per given key
    `tc` - annotation which keeps information about converter
    `key` - key under which converter should be registered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.